Skip to main content
POST
/
pay_stubs
Create a pay stub
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/pay_stubs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payroll_id": "<string>",
  "work_assignment_id": "<string>",
  "note": "<string>",
  "external_ref": "<string>"
}
'
{
  "id": "<id>",
  "object": "pay_stub",
  "data": {
    "payroll": {
      "id": "<id>",
      "object": "payroll",
      "links": {
        "self": "/payrolls/<id>"
      }
    },
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "payment_method": "direct_deposit",
    "has_taxes_calculated": true,
    "is_pending_tax_rates": false,
    "employee_summary": {
      "gross": 0,
      "subtractions": 0,
      "reimbursements": 0,
      "net": 0,
      "gross_ytd": 0,
      "subtractions_ytd": 0,
      "reimbursements_ytd": 0,
      "net_ytd": 0
    },
    "contractor_summary": {
      "gross": null,
      "reimbursements": null,
      "net": null,
      "gross_ytd": 0,
      "reimbursements_ytd": 0,
      "net_ytd": 0
    },
    "company_summary": {
      "taxes_and_contributions": 0,
      "benefits": 0,
      "total": 0,
      "taxes_and_contributions_ytd": 0,
      "benefits_ytd": 0,
      "total_ytd": 0
    },
    "vacation_pay_balance": 0,
    "liability": 0,
    "cash_requirement": 0,
    "note": "Off-cycle paystub",
    "line_item_summary": {
      "earnings": {
        "period": 0,
        "period_managed": 0,
        "period_unmanaged": 0,
        "ytd": 0
      },
      "statutory_withholdings": {
        "period": 0,
        "ytd": 0
      },
      "reimbursements": {
        "period": 0,
        "ytd": 0
      },
      "allowances": {
        "period": 0,
        "ytd": 0
      },
      "benefits": {
        "period": 0,
        "ytd": 0
      },
      "employee_benefits": {
        "period": 0,
        "ytd": 0
      },
      "employer_benefits": {
        "period": 0,
        "ytd": 0
      },
      "deductions": {
        "period": 0,
        "ytd": 0
      }
    },
    "is_stale": false,
    "stale_since": null,
    "warnings": {
      "object": "list",
      "data": []
    },
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/pay_stubs/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
payroll_id
string
required
work_assignment_id
string
required
payment_method
enum<string>

The payment method for this pay stub.

Available options:
direct_deposit,
manual,
pad,
wire
note
string | null

An optional note on the pay stub, visible to the partner.

external_ref
string
Maximum string length: 255

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("pay_stub").

data
Pay Stub · object